import ComponentsFormsClipboardAdvanced from '@/components/forms/clipboard/components-forms-clipboard-advanced';
import ComponentsFormsClipboardInput from '@/components/forms/clipboard/components-forms-clipboard-input';
import ComponentsFormsClipboardTextFromParagraph from '@/components/forms/clipboard/components-forms-clipboard-text-from-paragraph';
import ComponentsFormsClipboardTextarea from '@/components/forms/clipboard/components-forms-clipboard-textarea';
import { Metadata } from 'next';
import Link from 'next/link';
import React from 'react';

export const metadata: Metadata = {
    title: 'کلیپبورد',
};

export default function() {
    return (
        <div>
            <ul className="flex space-x-2 rtl:space-x-reverse">
                <li>
                    <Link href="#" className="text-primary hover:underline">
                        فرم ها
                    </Link>
                </li>
                <li className="before:content-['/'] ltr:before:mr-2 rtl:before:ml-2">
                    <span>کلیپبورد</span>
                </li>
            </ul>
            <div className="space-y-8 pt-5">
                <div className="grid grid-cols-1 gap-6 lg:grid-cols-2">
                    {/* Copy from input */}
                    <ComponentsFormsClipboardInput />

                    {/* Copy form Textarea */}
                    <ComponentsFormsClipboardTextarea />

                    {/* Copy Text from Paragraph */}
                    <ComponentsFormsClipboardTextFromParagraph />

                    {/* Advanced */}
                    <ComponentsFormsClipboardAdvanced />
                </div>
            </div>
        </div>
    );
}
